import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/DragonEnergy/eacc955ed45af44e754d61ffe3c1209a/raw/33f71e29ea9c305baa9e7dc1a6ebf75edb5745fb/MexicoStates.json";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log(data);
	
  //   useEffect(() => {
  //   json(jsonUrl).then(topology => {
  //     const { states, land } = topology.objects;
  //     setData({
  //       states: feature(topology, states),
  //       interiors: mesh(topology, countries, (a, b) => a !== b)
  //     });
  //   });
  // }, []);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
  //    console.log('land:', land)
      const { mexstates, land } = topology.objects;
//      console.log('mexstates:', mexstates)
    	setData({
      	mexstates: feature(topology, mexstates),
        interiors: mesh(topology, mexstates, (a,b) => a !== b )
      })
    })
  }, []);
  
  return data
}

